<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  visavi.net@mail.ru         #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";
include_once"../template/isset.php";


if ($provlog==$_SESSION['log'] && $provpar==md5($_SESSION['par']) && $_SESSION['log']!="" && md5($_SESSION['par'])!="") {
if ($dostup==101 || $dostup==102 || $dostup==103 || $dostup==105){

echo'<img src="../images/img/menu.gif" alt=""> <b>Управление гостевой</b><br><br>';

if(!isset($action)){
	
if($config_themes!="wml"){echo '<a href="#down"><img src="../images/img/downs.gif" alt=""></a> ';}	
echo'<a href="book.php?rand='.rand(0,99).'&amp;'.SID.'">Обновить</a> | ';
echo '<a href="../book/index.php?start='.$start.'&amp;'.SID.'">Обзор</a><br><hr>';
	
$file = file(BASEDIR."local/book.dat");
$file = array_reverse($file);
$total = count($file);    
if($total<1){echo'<br><img src="../images/img/reload.gif" alt="">  <b>Сообщений еще нет!</b><br>';}   

$start = (int)$_GET['start'];
if($start < 0 || $start > $total){$start = 0;}
if ($total < $start + $config_bookpost){ $end = $total;}
else {$end = $start + $config_bookpost; }
for ($fm = $start; $fm < $end; $fm++){

$dt = explode("|",$file[$fm]);

$num=$total-$fm-1;

$admin_mess = str_replace($dt[6],'<br><font color="#FF0033">'.$dt[6].'</font>',$dt[6]);
$dt[0]=bb_code($dt[0]);

if($fm>=0){
echo'<div class=b><img src="../images/img/edit.gif" alt=""> ';
echo'<b><a href="../pages/anketa.php?uz='.$dt[1].'&amp;'.SID.'">'.$dt[1].'</a></b> <small>('.date_fixed($dt[3]).')</small><br>';
echo'<a href="book.php?action=otvet&amp;rd='.$num.'&amp;start='.$start.'&amp;'.SID.'">[Ответ]</a> ';
echo'<a href="book.php?action=edit&amp;rd='.$num.'&amp;start='.$start.'&amp;'.SID.'">[Edit]</a> ';
echo'<a href="book.php?action=del&amp;rd='.$num.'&amp;start='.$start.'&amp;'.SID.'"><font color="#FF0000">[DEL]</font></a></div>';
echo $dt[0].'<br><small><font color="#CC00CC">('.$dt[4].','. $dt[5].')</font></small>'; 
if($admin_mess!=""){ echo $admin_mess;}
echo'<br><br>';}
}
 
echo'<hr>';
if ($start != 0) {echo '<a href="book.php?start='.($start - $config_bookpost).'&amp;'.SID.'">&lt;-Назад </a>';}else{echo'&lt;-Назад';}
echo' | '; 
if ($total > $start + $config_bookpost) {echo ' <a href="book.php?start='.($start + $config_bookpost).'&amp;'.SID.'">Далее-&gt;</a>';}else{echo'Далее-&gt;';}

$ba=ceil($total/$config_bookpost);
$ba2=$ba*$config_bookpost-$config_bookpost;

echo '<br><hr>Страницы:';
$asd=$start-($config_bookpost*3);
$asd2=$start+($config_bookpost*4);

if($asd<$total && $asd>0){echo ' <a href="book.php?start=0&amp;'.SID.'">1</a> ... ';}

for($i=$asd; $i<$asd2;)
{
if($i<$total && $i>=0){
$ii=floor(1+$i/$config_bookpost);

if ($start==$i) {
echo ' <b>('.$ii.')</b>';
}else {
echo ' <a href="book.php?start='.$i.'&amp;'.SID.'">'.$ii.'</a>';
}}

$i=$i+$config_bookpost;}
if($asd2<$total){echo ' ... <a href="book.php?start='.$ba2.'&amp;'.SID.'">'.$ba.'</a>';}

echo '<br><br>Всего сообщений : <b>'.(int)$total.'</b><br>';

if ($total>1) {
echo'<br><img src="../images/img/error.gif" alt=""> <a href="book.php?action=prodel&amp;'.SID.'">Очистить гостевую</a>';}

if ($dostup==101 || $dostup==102){
echo '<br><img src="../images/img/reload.gif" alt=""> <a href="book.php?action=revolushion&amp;'.SID.'">Пересчитать</a>';}
}

//---------------------------------------- ОТВЕТ -------------------------------------------//
if($action=="otvet") {
$lines=file(BASEDIR."local/book.dat");
if (isset($rd))  {  
$dt=explode("|", $lines[$rd]);

echo'<div class=b><img src="../images/img/edit.gif" alt=""> <b><a href="../pages/anketa.php?uz='.$dt[1].'&amp;'.SID.'"> '.$dt[1].' </a></b> ('.$dt[2].' / '. $dt[3].')</div>';
echo $dt[0].'<br><hr>';

if(!empty($dt[6])){echo'<br>Внимание! Вы уже отвечали на это сообщение<br><br>';}

echo'Ответ на сообщение:';

$dt[0] = nosmiles($dt[0]);
$dt[6] = nosmiles($dt[6]);

if($config_themes!="wml"){	
echo'<form action="book.php?rd='.$rd.'&amp;action=addotvet&amp;start='.$start.'&amp;'.SID.'" method="POST">';
echo'<input name="msg" type="hidden" value="'.$dt[0].'">';
echo'<input name="name" type="hidden" value="'.$dt[1].'">';
echo'<input name="timer" type="hidden" value="'.$dt[3].'">';
echo'<input name="mobila" type="hidden" value="'.$dt[4].'">';
echo'<input name="ip" type="hidden" value="'.$dt[5].'">';

echo'Cообщение:<br>';
echo'<textarea cols="25" rows="3" name="msg2">'.$dt[6].'</textarea>';
echo'<br><input type="submit" value="Ответить"></form><hr>';

}else{

echo'<br>--------------------<br>Сообщение:<br>';
echo'<input name="msg2" value="'.$dt[6].'"/><br>';


echo'<anchor>Ответить';
echo'<go href="book.php?rd='.$rd.'&amp;action=addotvet&amp;start='.$start.'&amp;'.SID.'" method="post">';
echo'<postfield name="msg2" value="$(msg2)"/>';
echo'<postfield name="msg" value="'.$dt[0].'"/>';
echo'<postfield name="name" value="'.$dt[1].'"/>';
echo'<postfield name="timer" value="'.$dt[3].'"/>';
echo'<postfield name="mobila" value="'.$dt[4].'"/>';
echo'<postfield name="ip" value="'.$dt[5].'"/>';
echo'</go></anchor><br>--------------------<br>';
}
}else{echo'Произошла ошибка, не выбрана строка';}
echo'<br><img src="../images/img/back.gif" alt=""> <a href="book.php?'.SID.'">В гостевую</a>';
}

//---------------------------------------- ДОБАВЛНИЕ ОТВЕТА -------------------------------------------//
if($action=="addotvet") {
$msg2=check($msg2);	
$name=check($name);	
$msg=check($msg);
$day=check($day);
$timer=check($timer);
$mobila=check($mobila);
$ip=check($ip);


$msg = smiles($msg);
$msg2 = smiles($msg2);

$text=$msg.'|'.$name.'||'.$timer.'|'.$mobila.'|'.$ip.'|'.$log.': '.$msg2.'||';
$text=no_br($text);


if (isset($rd)) { 

$file=file(BASEDIR."local/book.dat");
$fp=fopen(BASEDIR."local/book.dat","a+");
flock ($fp,LOCK_EX);
ftruncate ($fp,0);
for ($i=0;$i< sizeof($file);$i++) {if ($rd!=$i) {fputs($fp,$file[$i]);} else {fputs($fp,"$text\r\n");}}
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);
}	
header ("Location: book.php?start=$start&isset=mp_bookotvet&".SID);	
	
}

//---------------------------------------- РЕДАКТИРОВАНИЕ -------------------------------------------//
if($action=="edit") {
	
$lines=file(BASEDIR."local/book.dat");


if (isset($rd))  {  
$dt=explode("|", $lines[$rd]);

$dt[0] = nosmiles($dt[0]);
$dt[6] = nosmiles($dt[6]);

echo'Редактирование сообщения: <b>'.$dt[1].'</b><br>';

if($config_themes!="wml"){	
echo '<br><form action="book.php?rd='.$rd.'&amp;action=addedit&amp;start='.$start.'&amp;'.SID.'" method="POST">';
echo 'Cообщение:<br>';
echo '<textarea cols="50" rows="3" name="msg">'.$dt[0].'</textarea><br>';

echo '<input type="hidden" name="name" value="'.$dt[1].'">';
echo '<input type="hidden" name="timer" value="'.$dt[3].'">';
echo '<input type="hidden" name="mobila" value="'.$dt[4].'">';
echo '<input type="hidden" name="ip" value="'.$dt[5].'">';
echo '<input type="hidden" name="msg2" value="'.$dt[6].'">';
echo '<br><input type="submit" value="Изменить"></form><hr>';
}else{

echo '<br>--------------------<br>';
echo 'Cообщение:<br>';
echo '<input name="msg" value="'.$dt[0].'"/><br>';


echo '<anchor>Изменить';
echo '<go href="book.php?rd='.$rd.'&amp;action=addedit&amp;start='.$start.'&amp;'.SID.'" method="post">';
echo '<postfield name="msg" value="$(msg)"/>';

echo '<postfield name="name" value="'.$dt[1].'"/>';
echo '<postfield name="timer" value="'.$dt[3].'"/>';
echo '<postfield name="mobila" value="'.$dt[4].'"/>';
echo '<postfield name="ip" value="'.$dt[5].'"/>';
echo '<postfield name="msg2" value="'.$dt[6].'"/>';
echo '</go></anchor><br>--------------------<br>';
}
}else{echo 'Произошла ошибка, не выбрана строка';}	
echo'<br><img src="../images/img/back.gif" alt=""> <a href="book.php?'.SID.'">В гостевую</a>';	
}

//---------------------------------------- ИЗМЕНЕНИЕ СООБЩЕНИЯ -------------------------------------------//
if($action=="addedit") {
	
$name=check($name);	
$msg=check($msg);
$timer=check($timer);
$mobila=check($mobila);
$ip=check($ip);
$msg2=check($msg2);

$msg = smiles($msg);
$msg2 = smiles($msg2);

$text=$msg.'|'.$name.'||'.$timer.'|'.$mobila.'|'.$ip.'|'.$msg2.'|Отредактировано: '.$log.' ('.date("d.m.Y / H:i",$sitetime).')|';
$text=no_br($text);


if (isset($rd)) {  
$file=file(BASEDIR."local/book.dat");
$fp=fopen(BASEDIR."local/book.dat","a+");
flock ($fp,LOCK_EX);
ftruncate ($fp,0);
for ($i=0;$i< sizeof($file);$i++) {if ($rd!=$i) {fputs($fp,$file[$i]);} else {fputs($fp,"$text\r\n");}}
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);
}	
header ("Location: book.php?start=$start&isset=mp_bookeditpost&".SID);	
}

//---------------------------------------- УДАЛЕНИЕ СООБЩЕНИЯ -------------------------------------------//
if($action=="del") {
if (isset($rd))  {
$file=file(BASEDIR."local/book.dat");	
$fp=fopen(BASEDIR."local/book.dat","w");
flock ($fp,LOCK_EX);
for ($i=0;$i< sizeof($file);$i++) { if ($i==$rd) {unset($file[$i]);} }
fputs($fp, implode($file));
flock ($fp,LOCK_UN);
fclose($fp);
}
header ("Location: book.php?start=$start&isset=mp_bookdelpost&".SID);	
}


//---------------------------------------- ПОДТВЕРЖДЕНИЕ ОЧИСТКИ -------------------------------------------//
if ($action=="prodel") {
echo'<br>Вы уверены что хотите удалить все сообщения в гостевой?<br>';
echo'<img src="../images/img/error.gif" alt=""> <b><a href="book.php?action=alldel&amp;'.SID.'">Да уверен!</a></b><br>';	
	
echo '<br><img src="../images/img/back.gif" alt=""> <a href="book.php?'.SID.'">Вернуться</a>';
}

//---------------------------------------- ОЧИСТКА ГОСТЕВОЙ -------------------------------------------//
if($action=="alldel") {
$file=file(BASEDIR."local/book.dat");
$fp=fopen(BASEDIR."local/book.dat","a+");
flock ($fp,LOCK_EX);
ftruncate ($fp,0);
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);
header ("Location: book.php?isset=mp_bookclear&".SID);	
}


//---------------------------------------- ПЕРЕСЧЕТ -------------------------------------------//
if($action=="revolushion") {

$fb = file(BASEDIR."local/book.dat");
$countbook=count($fb);

$fl = file(BASEDIR."local/local.dat"); 
$u = explode("|",$fl[0]);
$u[0]=(int)$countbook;
$t=$u[0].'|'.$u[1].'|'.$u[2].'|'.$u[3].'|'.$u[4].'|'.$u[5].'|'.$u[6].'|'.$u[7].'|'.$u[8].'|'.$u[9].'|'.$u[10].'|';

$fp = fopen(BASEDIR."local/local.dat","a+");
flock ($fp,LOCK_EX);
ftruncate ($fp,0);
fputs($fp,$t);
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);


header ("Location: book.php?isset=mp_bookrevolushion&".SID);	
}


echo'<br><img src="../images/img/panel.gif" alt=""> <a href="index.php?'.SID.'">В админку</a><br>';
echo'<img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a><br>';

} else {header ("Location: ../index.php?isset=404&".SID);}
} else {header ("Location: ../index.php?isset=404&".SID);}

include_once"../themes/$config_themes/foot.php";
?>
